{*******************************************************}
{                                                       }
{   Copyright (c) 1996-1997 Classic Software            }
{   All rights reserved                                 }
{                                                       }
{*******************************************************}

unit CSCCS32;

{$B-,P+,W-,X+}

interface

procedure Register;

implementation

uses
  Classes, Graphics, DsgnIntf, CSNoteBk, CSNBProp,
  CSFrmPnl, CSHRTime, CSGrid, CSProper, CSXCombo,
  CSRankLB, CSSclptB, CSDBDtEd, CSEZForm;

{$R CSCCS32.RES}

procedure Register;
begin
  { Register Component Editors }
  RegisterComponentEditor(TcsNotebook, TcsNotebookEditor);

  { Register Property Editors }
  RegisterPropertyEditor(TypeInfo(String), TcsNotebook, 'ActivePage', TcsActivePageProperty);
  RegisterPropertyEditor(TypeInfo(TStrings), TcsNotebook, 'Pages', TcsPagesProperty);
  RegisterPropertyEditor(TypeInfo(TFont), TcsNotebook, 'TabFont', TcsTabFontProperty);

  { Register Components }
  RegisterComponents('Classic', [TcsNotebook,
                                 TcsFormPanel,
                                 TcsHiResTimer,
                                 TcsInterrupt,
                                 TcsGrid,
                                 TcsProperEdit, TcsDBProperEdit,
                                 TcsComboBox, TcsDBComboBox,
                                 TcsRankListBox,
                                 TcsSculptButton,
                                 TcsDBDateEdit,
                                 TcsEZKeys]);
end;

end.
